[build-status: 57425] Log for successful build of scsh-0.6_0.6.7-3 (dist=unstable)

Build Daemon buildd at linux-m32r.org
Wed Feb 21 05:29:02 JST 2007


Automatic build of scsh-0.6_0.6.7-3 on mappi005 by sbuild/m32r 1.7
Build started at 20070221-0410
******************************************************************************
Checking available source versions...
Fetching source files...
Reading package lists...
Building dependency tree...
Need to get 4463kB of source archives.
Get:1 http://debian.linux-m32r.org 06_devonian/main scsh-0.6 0.6.7-3 (dsc) [773B]
Get:2 http://debian.linux-m32r.org 06_devonian/main scsh-0.6 0.6.7-3 (tar) [4367kB]
Get:3 http://debian.linux-m32r.org 06_devonian/main scsh-0.6 0.6.7-3 (diff) [95.2kB]
Fetched 4463kB in 42s (106kB/s)
Download complete and in download only mode
** Using build dependencies supplied by package:
Build-Depends: debhelper (>= 4), libelfg0-dev, type-handling
Checking for already installed source dependencies...
debhelper: already installed (in sufficient version 5.0.42 >= 4)
libelfg0-dev: missing
type-handling: already installed
Checking for source dependency conflicts...
  /usr/bin/sudo /usr/bin/apt-get --purge $CHROOT_OPTIONS -q -y install libelfg0-dev
Reading package lists...
Building dependency tree...
The following extra packages will be installed:
  libelfg0
The following NEW packages will be installed:
  libelfg0 libelfg0-dev
0 upgraded, 2 newly installed, 0 to remove and 8 not upgraded.
Need to get 112kB of archives.
After unpacking 434kB of additional disk space will be used.
WARNING: The following packages cannot be authenticated!
  libelfg0 libelfg0-dev
Authentication warning overridden.
Get:1 http://debian.linux-m32r.org 06_devonian/main libelfg0 0.8.6-3 [52.3kB]
Get:2 http://debian.linux-m32r.org 06_devonian/main libelfg0-dev 0.8.6-3 [60.0kB]
debconf: unable to initialize frontend: Dialog
debconf: (Dialog frontend will not work on a dumb terminal, an emacs shell buffer, or without a controlling terminal.)
debconf: falling back to frontend: Readline
debconf: unable to initialize frontend: Readline
debconf: (This frontend requires a controlling tty.)
debconf: falling back to frontend: Teletype
dpkg-preconfigure: unable to re-open stdin: 
Fetched 112kB in 1s (86.4kB/s)
Selecting previously deselected package libelfg0.
(Reading database ... 63166 files and directories currently installed.)
Unpacking libelfg0 (from .../libelfg0_0.8.6-3_m32r.deb) ...
Selecting previously deselected package libelfg0-dev.
Unpacking libelfg0-dev (from .../libelfg0-dev_0.8.6-3_m32r.deb) ...
Setting up libelfg0 (0.8.6-3) ...

Setting up libelfg0-dev (0.8.6-3) ...
Checking correctness of source dependencies...
------------------------------------------------------------------------------
dpkg-source: extracting scsh-0.6 in scsh-0.6-0.6.7
dpkg-source: unpacking scsh-0.6_0.6.7.orig.tar.gz
dpkg-source: applying /debian/buildd/build/scsh-0.6_0.6.7-3.diff.gz
dpkg-buildpackage: source package is scsh-0.6
dpkg-buildpackage: source version is 0.6.7-3
dpkg-buildpackage: source changed by Lionel Elie Mamane <lmamane at debian.org>
dpkg-buildpackage: host architecture m32r
dpkg-buildpackage: source version without epoch 0.6.7-3
 /usr/bin/fakeroot debian/rules clean
dh_testdir
dh_testroot
rm -f build-stamp configure-stamp install-stamp
rm -f debian/scsh-0.6.post{inst,rm}
/usr/bin/make distclean
make[1]: Entering directory `/build/buildd/scsh-0.6-0.6.7'
make[1]: *** No rule to make target `distclean'.  Stop.
make[1]: Leaving directory `/build/buildd/scsh-0.6-0.6.7'
make: [clean] Error 2 (ignored)
rm -f emacs/*.elc
dh_clean
 debian/rules build
dh_testdir
./configure --prefix=/usr --mandir=/usr/share/man  --includedir=/usr/include/scsh-0.6 --with-lib-dirs-list='("/usr/local/lib/scsh-0.6/modules/" "/usr/lib/scsh-0.6/modules/")'
checking build system type... m32r-unknown-linux-gnu
checking host system type... m32r-unknown-linux-gnu
checking for gcc... gcc
checking for C compiler default output file name... a.out
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables... 
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
defining signal constants
checking for strerror in -lcposix... no
checking for broken Linux that needs -static with -g... no
checking for a BSD-compatible install... /usr/bin/ginstall -c
checking for ranlib... ranlib
checking for an ANSI C-conforming const... yes
checking how to run the C preprocessor... gcc -E
checking for grep that handles long lines and -e... /bin/grep
checking for egrep... /bin/grep -E
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking whether byte ordering is bigendian... yes
checking for ELF... no
checking for main in -lm... yes
checking for main in -ldl... yes
checking for main in -lmld... no
checking for main in -lnsl... yes
checking for main in -lgen... no
checking for main in -lsocket... no
checking for getpwnam in -lsun... no
checking for crypt in -lc... no
checking for crypt in -lcrypt... yes
checking for main in -lelf... yes
checking for RISC/OS POSIX library lossage
checking for an ANSI C-conforming const... (cached) yes
checking return type of signal handlers... void
checking libgen.h usability... yes
checking libgen.h presence... yes
checking for libgen.h... yes
checking sys/timeb.h usability... yes
checking sys/timeb.h presence... yes
checking for sys/timeb.h... yes
checking posix/time.h usability... no
checking posix/time.h presence... no
checking for posix/time.h... no
checking sys/select.h usability... yes
checking sys/select.h presence... yes
checking for sys/select.h... yes
checking nlist.h usability... yes
checking nlist.h presence... yes
checking for nlist.h... yes
checking sys/un.h usability... yes
checking sys/un.h presence... yes
checking for sys/un.h... yes
checking crypt.h usability... yes
checking crypt.h presence... yes
checking for crypt.h... yes
checking for gettimeofday... yes
checking for ftime... yes
checking for nlist... yes
checking for select... yes
checking for setitimer... yes
checking for sigaction... yes
checking for vasprintf... yes
checking for socklen_t... yes
checking for dlopen... yes
checking for socket... yes
checking for chroot... yes
checking for strerror... yes
checking for seteuid... yes
checking for setegid... yes
checking for struct nlist.n_name... yes
checking __NEXT__... no
checking underscore before symbols... conftest.c:1: warning: return type defaults to 'int'
conftest.c:1: warning: return type defaults to 'int'
conftest.c: In function 'fnord':
conftest.c:1: warning: control reaches end of non-void function
no
checking link with -rdynamic... yes
checking whether struct tm is in sys/time.h or time.h... time.h
checking for struct tm.tm_zone... yes
checking for struct tm.tm_gmtoff... no
checking for getpt... yes
checking for _getpty... no
checking for grantpt... yes
checking for unlockpt... yes
checking for ptsname... yes
checking for killpg... yes
checking for tcgetpgrp... yes
checking for openpty... no
checking for openpty in -lutil... yes
checking libutil.h usability... no
checking libutil.h presence... no
checking for libutil.h... no
checking util.h usability... no
checking util.h presence... no
checking for util.h... no
checking pty.h usability... yes
checking pty.h presence... yes
checking for pty.h... yes
checking stropts.h usability... yes
checking stropts.h presence... yes
checking for stropts.h... yes
checking for isastream... yes
checking for const sys_errlist... yes
configure: creating ./config.status
config.status: creating Makefile
config.status: WARNING:  Makefile.in seems to ignore the --datarootdir setting
config.status: creating scsh/endian.scm
config.status: creating scsh-config
config.status: creating c/sysdep.h
config.status: executing scsh-config+x commands
find -name '*.image' -print0 | xargs --null touch
touch build/filenames.make c/scheme48.h c/old-scheme48.h
for f in scsh/*.scm; do touch ${f%scm}c; done
for script in postinst postrm; do \
	  sed 's/@MINOR_VERSION@/0.6/g' < debian/scsh-0.6.${script}.in > debian/scsh-0.6.${script}; \
	done
touch configure-stamp
dh_testdir
/usr/bin/make
make[1]: Entering directory `/build/buildd/scsh-0.6-0.6.7'
gcc -c -g -Wall -O2 -D_GNU_SOURCE -o c/main.o \
		-DDEFAULT_IMAGE_NAME=\"/usr/lib/scsh-0.6/scsh.image\" \
		 -DHAVE_CONFIG_H ./c/main.c
./c/main.c: In function 'main':
./c/main.c:64: warning: unused variable 'vm_argc'
gcc -c -DHAVE_CONFIG_H -I ./c -I./c -I./cig  -g -Wall -O2 -D_GNU_SOURCE -o scsh/process_args.o scsh/process_args.c
gcc -c -g -Wall -O2 -D_GNU_SOURCE -o c/init.o \
		-DDEFAULT_IMAGE_NAME=\"/usr/lib/scsh-0.6/scsh.image\" \
		 -DHAVE_CONFIG_H ./c/init.c
./c/init.c: In function 's48_main':
./c/init.c:23: warning: implicit declaration of function 'internal_s48_main'
gcc -c -DHAVE_CONFIG_H -I ./c -I./c -I./cig  -g -Wall -O2 -D_GNU_SOURCE -o c/scheme48vm.o c/scheme48vm.c
c/scheme48vm.c: In function 's48_restart':
c/scheme48vm.c:8065: warning: implicit declaration of function 'ps_add_pending_fd'
c/scheme48vm.c:8195: warning: implicit declaration of function 's48_newspaceLoldspaceP'
c/scheme48vm.c:5956: warning: 'v_794X' is used uninitialized in this function
c/scheme48vm.c:5959: warning: 'v_795X' is used uninitialized in this function
c/scheme48vm.c:10510: warning: 'v_1317X' is used uninitialized in this function
c/scheme48vm.c:10522: warning: 'v_1318X' is used uninitialized in this function
c/scheme48vm.c:10527: warning: 'v_1320X' is used uninitialized in this function
c/scheme48vm.c:2930: warning: 'stack_arg_count_420X' may be used uninitialized in this function
c/scheme48vm.c:2917: warning: 'list_args_433X' may be used uninitialized in this function
c/scheme48vm.c:2912: warning: 'proc_438X' may be used uninitialized in this function
c/scheme48vm.c:2897: warning: 'space_453X' may be used uninitialized in this function
c/scheme48vm.c:2655: warning: 'arg2_695X' may be used uninitialized in this function
c/scheme48vm.c:2560: warning: 'exception_790X' may be used uninitialized in this function
c/scheme48vm.c:2559: warning: 'stack_arg_count_791X' may be used uninitialized in this function
c/scheme48vm.c:2543: warning: 'total_arg_count_807X' may be used uninitialized in this function
c/scheme48vm.c:2542: warning: 'list_args_808X' may be used uninitialized in this function
c/scheme48vm.c:2541: warning: 'stack_nargs_809X' may be used uninitialized in this function
c/scheme48vm.c:2385: warning: 'stack_space_965X' may be used uninitialized in this function
c/scheme48vm.c:2382: warning: 'wants_stack_args_968X' may be used uninitialized in this function
c/scheme48vm.c:2378: warning: 'stack_space_972X' may be used uninitialized in this function
c/scheme48vm.c:2377: warning: 'skip_973X' may be used uninitialized in this function
c/scheme48vm.c:2375: warning: 'wants_stack_args_975X' may be used uninitialized in this function
c/scheme48vm.c:2294: warning: 'arg2_1056X' may be used uninitialized in this function
c/scheme48vm.c:2293: warning: 'arg3_1057X' may be used uninitialized in this function
c/scheme48vm.c:2291: warning: 'comment_string_1059X' may be used uninitialized in this function
c/scheme48vm.c:2289: warning: 'port_1061X' may be used uninitialized in this function
c/scheme48vm.c:2283: warning: 'minutesP_1067X' may be used uninitialized in this function
c/scheme48vm.c:2245: warning: 'skip_1105X' may be used uninitialized in this function
c/scheme48vm.c:2190: warning: 'stack_slots_1160X' may be used uninitialized in this function
c/scheme48vm.c:2189: warning: 'stack_arg_count_1161X' may be used uninitialized in this function
c/scheme48vm.c:2184: warning: 'final_stack_arg_count_1166X' may be used uninitialized in this function
c/scheme48vm.c:2115: warning: 'count_1235X' may be used uninitialized in this function
c/scheme48vm.c:2098: warning: 'arg_count_1252X' may be used uninitialized in this function
c/scheme48vm.c:2097: warning: 'top_1253X' may be used uninitialized in this function
c/scheme48vm.c:2091: warning: 'end_1259X' may be used uninitialized in this function
c/scheme48vm.c:2090: warning: 'cont_1260X' may be used uninitialized in this function
c/scheme48vm.c:2089: warning: 'previous_1261X' may be used uninitialized in this function
c/scheme48vm.c:2078: warning: 'top_1272X' may be used uninitialized in this function
c/scheme48vm.c:2077: warning: 'env_1273X' may be used uninitialized in this function
c/scheme48vm.c:2014: warning: 'list_arg_count_385X' may be used uninitialized in this function
c/scheme48vm.c:2012: warning: 'stack_arg_count_383X' may be used uninitialized in this function
c/scheme48vm.c:2011: warning: 'wants_stack_args_382X' may be used uninitialized in this function
c/scheme48vm.c:2010: warning: 'count_381X' may be used uninitialized in this function
c/scheme48vm.c:1988: warning: 'rest_list_setup_return_tag' may be used uninitialized in this function
c/scheme48vm.c:1986: warning: 'push_list_return_tag' may be used uninitialized in this function
c/scheme48vm.c:1985: warning: 'copy_stack_into_heap_return_tag' may be used uninitialized in this function
c/scheme48vm.c:1983: warning: 'really_preserve_continuation_return_tag' may be used uninitialized in this function
gcc -c -DHAVE_CONFIG_H -I ./c -I./c -I./cig  -g -Wall -O2 -D_GNU_SOURCE -o c/scheme48heap.o c/scheme48heap.c
c/scheme48heap.c: In function 's48_find_all_records':
c/scheme48heap.c:1479: warning: 'areas_199X' may be used uninitialized in this function
c/scheme48heap.c:1478: warning: 'sizes_200X' may be used uninitialized in this function
c/scheme48heap.c:1477: warning: 'count_201X' may be used uninitialized in this function
c/scheme48heap.c:1476: warning: 'i_202X' may be used uninitialized in this function
c/scheme48heap.c:1474: warning: 'areas_204X' may be used uninitialized in this function
c/scheme48heap.c:1473: warning: 'sizes_205X' may be used uninitialized in this function
c/scheme48heap.c:1472: warning: 'count_206X' may be used uninitialized in this function
c/scheme48heap.c:1471: warning: 'i_207X' may be used uninitialized in this function
c/scheme48heap.c: In function 's48_find_all':
c/scheme48heap.c:950: warning: 'areas_129X' may be used uninitialized in this function
c/scheme48heap.c:949: warning: 'sizes_130X' may be used uninitialized in this function
c/scheme48heap.c:948: warning: 'count_131X' may be used uninitialized in this function
c/scheme48heap.c:947: warning: 'i_132X' may be used uninitialized in this function
c/scheme48heap.c:945: warning: 'areas_134X' may be used uninitialized in this function
c/scheme48heap.c:944: warning: 'sizes_135X' may be used uninitialized in this function
c/scheme48heap.c:943: warning: 'count_136X' may be used uninitialized in this function
c/scheme48heap.c:942: warning: 'i_137X' may be used uninitialized in this function
c/scheme48heap.c: In function 's48_trace_value':
c/scheme48heap.c:1818: warning: 'stob_247X' is used uninitialized in this function
c/scheme48heap.c: In function 's48_write_image':
c/scheme48heap.c:1944: warning: 'areas_279X' may be used uninitialized in this function
c/scheme48heap.c:1943: warning: 'sizes_280X' may be used uninitialized in this function
c/scheme48heap.c:1942: warning: 'count_281X' may be used uninitialized in this function
c/scheme48heap.c:1941: warning: 'i_282X' may be used uninitialized in this function
c/scheme48heap.c:1939: warning: 'areas_284X' may be used uninitialized in this function
c/scheme48heap.c:1938: warning: 'sizes_285X' may be used uninitialized in this function
c/scheme48heap.c:1937: warning: 'count_286X' may be used uninitialized in this function
c/scheme48heap.c:1936: warning: 'i_287X' may be used uninitialized in this function
c/scheme48heap.c:1917: warning: 'status_306X' may be used uninitialized in this function
gcc -c -DHAVE_CONFIG_H -I ./c -I./c -I./cig  -g -Wall -O2 -D_GNU_SOURCE -o c/extension.o c/extension.c
gcc -c -DHAVE_CONFIG_H -I ./c -I./c -I./cig  -g -Wall -O2 -D_GNU_SOURCE -o c/external.o c/external.c
c/external.c: In function 's48_enter_char':
c/external.c:952: warning: comparison is always false due to limited range of data type
c/external.c: In function 's48_extract_unsigned_integer':
c/external.c:923: warning: control reaches end of non-void function
gcc -c -DHAVE_CONFIG_H -I ./c -I./c -I./cig  -g -Wall -O2 -D_GNU_SOURCE -o cig/libcig.o cig/libcig.c
gcc -c -DHAVE_CONFIG_H -I ./c -I./c -I./cig  -g -Wall -O2 -D_GNU_SOURCE -o cig/libcig1.o cig/libcig1.c
cig/libcig1.c: In function 'scheme2c_strcpy':
cig/libcig1.c:54: warning: format '%x' expects type 'unsigned int', but argument 3 has type 's48_value'
gcc -c -DHAVE_CONFIG_H -I ./c -I./c -I./cig  -g -Wall -O2 -D_GNU_SOURCE -o scsh/cstuff.o scsh/cstuff.c
gcc -c -DHAVE_CONFIG_H -I ./c -I./c -I./cig  -g -Wall -O2 -D_GNU_SOURCE -o scsh/dirstuff1.o scsh/dirstuff1.c
gcc -c -DHAVE_CONFIG_H -I ./c -I./c -I./cig  -g -Wall -O2 -D_GNU_SOURCE -o scsh/fdports1.o scsh/fdports1.c
scsh/fdports1.c: In function 'read_delim':
scsh/fdports1.c:78: warning: array subscript has type 'char'
scsh/fdports1.c: In function 'skip_chars':
scsh/fdports1.c:121: warning: array subscript has type 'char'
scsh/fdports1.c: At top level:
scsh/fdports1.c:35: warning: 'fdes_modestr' defined but not used
gcc -c -DHAVE_CONFIG_H -I ./c -I./c -I./cig  -g -Wall -O2 -D_GNU_SOURCE -o scsh/flock1.o scsh/flock1.c
scsh/flock1.c: In function 'get_lock':
scsh/flock1.c:71: warning: control reaches end of non-void function
gcc -c -DHAVE_CONFIG_H -I ./c -I./c -I./cig  -g -Wall -O2 -D_GNU_SOURCE -o scsh/machine/time_dep1.o scsh/machine/time_dep1.c
gcc -c -DHAVE_CONFIG_H -I ./c -I./c -I./cig  -g -Wall -O2 -D_GNU_SOURCE -o scsh/signals1.o scsh/signals1.c
gcc -c -DHAVE_CONFIG_H -I ./c -I./c -I./cig  -g -Wall -O2 -D_GNU_SOURCE -o scsh/machine/libansi.o scsh/machine/libansi.c
gcc -c -DHAVE_CONFIG_H -I ./c -I./c -I./cig  -g -Wall -O2 -D_GNU_SOURCE -o scsh/network1.o scsh/network1.c
scsh/network1.c: In function 'send_substring':
scsh/network1.c:390: warning: implicit declaration of function 's48_raise_os_error_7'
scsh/network1.c: In function 'scheme_socket_name':
scsh/network1.c:267: warning: control reaches end of non-void function
scsh/network1.c: In function 'scheme_peer_name':
scsh/network1.c:235: warning: control reaches end of non-void function
scsh/network1.c: In function 'scheme_accept':
scsh/network1.c:201: warning: control reaches end of non-void function
scsh/network1.c: In function 'scheme_connect':
scsh/network1.c:132: warning: control reaches end of non-void function
scsh/network1.c: In function 'scheme_bind':
scsh/network1.c:76: warning: control reaches end of non-void function
scsh/network1.c: At top level:
./c/scheme48vm-prelude.h:30: warning: '_HHallocate_temp' defined but not used
scsh/network1.c: In function 'send_substring':
scsh/network1.c:320: warning: 'n' may be used uninitialized in this function
gcc -c -DHAVE_CONFIG_H -I ./c -I./c -I./cig  -g -Wall -O2 -D_GNU_SOURCE -o scsh/putenv.o scsh/putenv.c
gcc -c -DHAVE_CONFIG_H -I ./c -I./c -I./cig  -g -Wall -O2 -D_GNU_SOURCE -o scsh/rx/regexp1.o scsh/rx/regexp1.c
gcc -c -DHAVE_CONFIG_H -I ./c -I./c -I./cig  -g -Wall -O2 -D_GNU_SOURCE -o scsh/sleep1.o scsh/sleep1.c
gcc -c -DHAVE_CONFIG_H -I ./c -I./c -I./cig  -g -Wall -O2 -D_GNU_SOURCE -o scsh/syscalls1.o scsh/syscalls1.c
scsh/syscalls1.c: In function 'get_groups':
scsh/syscalls1.c:815: warning: unused variable 'retval'
scsh/syscalls1.c: In function 'fcntl_write':
scsh/syscalls1.c:1109: warning: control reaches end of non-void function
scsh/syscalls1.c: In function 'fcntl_read':
scsh/syscalls1.c:1089: warning: control reaches end of non-void function
scsh/syscalls1.c: In function 'get_groups':
scsh/syscalls1.c:834: warning: control reaches end of non-void function
scsh/syscalls1.c: In function 'scsh_close':
scsh/syscalls1.c:690: warning: control reaches end of non-void function
scsh/syscalls1.c: In function 'scheme_cwd':
scsh/syscalls1.c:363: warning: control reaches end of non-void function
scsh/syscalls1.c: In function 'set_cloexec':
scsh/syscalls1.c:310: warning: control reaches end of non-void function
scsh/syscalls1.c: In function 'scsh_readlink':
scsh/syscalls1.c:212: warning: control reaches end of non-void function
scsh/syscalls1.c: In function 'scsh_kill':
scsh/syscalls1.c:196: warning: control reaches end of non-void function
scsh/syscalls1.c: In function 'scsh_fork':
scsh/syscalls1.c:167: warning: control reaches end of non-void function
scsh/syscalls1.c: At top level:
./c/scheme48vm-prelude.h:30: warning: '_HHallocate_temp' defined but not used
scsh/syscalls1.c: In function 'create_env':
scsh/syscalls1.c:1019: warning: 'thread_env' is used uninitialized in this function
gcc -c -DHAVE_CONFIG_H -I ./c -I./c -I./cig  -g -Wall -O2 -D_GNU_SOURCE -o scsh/syslog1.o scsh/syslog1.c
gcc -c -DHAVE_CONFIG_H -I ./c -I./c -I./cig  -g -Wall -O2 -D_GNU_SOURCE -o scsh/time1.o scsh/time1.c
scsh/time1.c: In function 'format_date':
scsh/time1.c:428: warning: control reaches end of non-void function
gcc -c -DHAVE_CONFIG_H -I ./c -I./c -I./cig  -g -Wall -O2 -D_GNU_SOURCE -o scsh/tty1.o scsh/tty1.c
scsh/tty1.c: In function 'make_ctty':
scsh/tty1.c:275: warning: unused variable 'fd'
scsh/tty1.c: At top level:
scsh/tty1.c:357: warning: return type defaults to 'int'
gcc -c -DHAVE_CONFIG_H -I ./c -I./c -I./cig  -g -Wall -O2 -D_GNU_SOURCE -o scsh/userinfo1.o scsh/userinfo1.c
gcc -c -DHAVE_CONFIG_H -I ./c -I./c -I./cig  -g -Wall -O2 -D_GNU_SOURCE -o scsh/sighandlers1.o scsh/sighandlers1.c
gcc -c -DHAVE_CONFIG_H -I ./c -I./c -I./cig  -g -Wall -O2 -D_GNU_SOURCE -o scsh/libscsh.o scsh/libscsh.c
gcc -c -DHAVE_CONFIG_H -I ./c -I./c -I./cig  -g -Wall -O2 -D_GNU_SOURCE -o scsh/md5.o scsh/md5.c
gcc -c -DHAVE_CONFIG_H -I ./c -I./c -I./cig  -g -Wall -O2 -D_GNU_SOURCE -o scsh/proc2.o scsh/proc2.c
scsh/proc2.c: In function 'process_meta_arg':
scsh/proc2.c:206: warning: suggest parentheses around assignment used as truth value
scsh/proc2.c: In function 'read_arg':
scsh/proc2.c:288: warning: suggest parentheses around assignment used as truth value
scsh/proc2.c: In function 'process_meta_arg':
scsh/proc2.c:214: warning: 'arg' is used uninitialized in this function
gcc -c -DHAVE_CONFIG_H -I ./c -I./c -I./cig  -g -Wall -O2 -D_GNU_SOURCE -o c/srfi/srfi-27.o c/srfi/srfi-27.c
gcc -c -DHAVE_CONFIG_H -I ./c -I./c -I./cig  -g -Wall -O2 -D_GNU_SOURCE -o c/unix/misc.o c/unix/misc.c
gcc -c -DHAVE_CONFIG_H -I ./c -I./c -I./cig  -g -Wall -O2 -D_GNU_SOURCE -o c/unix/io.o c/unix/io.c
gcc -c -DHAVE_CONFIG_H -I ./c -I./c -I./cig  -g -Wall -O2 -D_GNU_SOURCE -o c/unix/fd-io.o c/unix/fd-io.c
gcc -c -DHAVE_CONFIG_H -I ./c -I./c -I./cig  -g -Wall -O2 -D_GNU_SOURCE -o c/unix/event.o c/unix/event.c
gcc -c -DHAVE_CONFIG_H -I ./c -I./c -I./cig  -g -Wall -O2 -D_GNU_SOURCE -o c/unix/socket.o c/unix/socket.c
c/unix/socket.c: In function 's48_socket_number':
c/unix/socket.c:157: warning: pointer targets in passing argument 3 of 'getsockname' differ in signedness
c/unix/socket.c: In function 's48_accept':
c/unix/socket.c:205: warning: pointer targets in passing argument 3 of 'accept' differ in signedness
gcc -c -DHAVE_CONFIG_H -I ./c -I./c -I./cig  -g -Wall -O2 -D_GNU_SOURCE -o c/unix/dynamo.o c/unix/dynamo.c
rm -f /tmp/s48_external_$$.c &&					\
	./build/build-external-modules /tmp/s48_external_$$.c		\
		s48_init_additional_inits s48_init_socket s48_init_external_lookup s48_init_syslog s48_init_posix_regexp s48_init_userinfo s48_init_sighandlers s48_init_syscalls s48_init_network s48_init_flock s48_init_dirstuff s48_init_time s48_init_tty s48_init_cig s48_init_libscsh s48_init_md5 s48_init_srfi_27 s48_init_cig &&					\
	gcc -rdynamic -g -Wall -O2 -D_GNU_SOURCE -o scshvm c/main.o scsh/process_args.o c/init.o c/scheme48vm.o c/scheme48heap.o c/extension.o c/external.o cig/libcig.o cig/libcig1.o scsh/cstuff.o scsh/dirstuff1.o scsh/fdports1.o scsh/flock1.o scsh/machine/time_dep1.o scsh/signals1.o scsh/machine/libansi.o scsh/network1.o scsh/putenv.o scsh/rx/regexp1.o scsh/sleep1.o scsh/syscalls1.o scsh/syslog1.o scsh/time1.o scsh/tty1.o scsh/userinfo1.o scsh/sighandlers1.o scsh/libscsh.o scsh/md5.o scsh/proc2.o c/srfi/srfi-27.o c/unix/misc.o c/unix/io.o c/unix/fd-io.o c/unix/event.o		\
		/tmp/s48_external_$$.c					\
		c/unix/socket.o c/unix/dynamo.o 			\
		 -lelf -lcrypt -lnsl -ldl -lm -lc -lutil &&						\
	rm -f /tmp/s48_external_$$.c
./build/build-usual-image . "./scheme" 'scsh.image' './scshvm' \
		'./build/initial.image'
Correcting byte order of resumed image.
./scheme/env/init-defpackage.scm
#{Unspecific}
./scheme/more-interfaces.scm
./scheme/sort/interfaces.scm
./scheme/link-packages.scm
./scheme/more-packages.scm
[command-levels ./scheme/env/command-level.scm]
[command-processor ./scheme/env/read-command.scm ./scheme/env/command.scm ./scheme/env/version-info.scm]
#{Unspecific}
[basic-commands ./scheme/env/basic-command.scm]
[build ./scheme/env/build.scm]
[shadowing ./scheme/env/shadow.scm]
[disclosers ./scheme/env/disclosers.scm]
[package-mutation ./scheme/env/pedit.scm]
[package-commands ./scheme/env/pacman.scm]
[time ./scheme/rts/time.scm]
[debugging ./scheme/env/debug.scm]
[inspector ./scheme/env/inspect.scm]
[disassembler ./scheme/env/disasm.scm]
[usual-commands]
#{Unspecific}
[debuginfo ./scheme/env/debuginfo.scm]
[extended-numbers ./scheme/rts/xnum.scm]
[bignums ./scheme/rts/bignum.scm
Analyzing... 
Calls will be compiled in line: (subtract-magnitudes add-magnitudes bignum-magnitude bignum-sign)
]
[ratnums ./scheme/rts/ratnum.scm]
[recnums ./scheme/rts/recnum.scm]
[innums ./scheme/rts/innum.scm]
[usual-features]
Reading ./build/initial.debug
Writing scsh.image

echo '#!/bin/sh'	>go &&					\
	echo			>>go &&					\
	echo "lib=`pwd`"	>>go &&					\
	echo 'exec $lib/scshvm -o $lib/scshvm -i $lib/scsh/scsh.image "$@"'	\
				>>go &&					\
	chmod +x go
rm -f cig/libscshvm.a
ar cq cig/libscshvm.a c/main.o  scsh/process_args.o c/init.o c/scheme48vm.o c/scheme48heap.o c/extension.o c/external.o cig/libcig.o cig/libcig1.o scsh/cstuff.o scsh/dirstuff1.o scsh/fdports1.o scsh/flock1.o scsh/machine/time_dep1.o scsh/signals1.o scsh/machine/libansi.o scsh/network1.o scsh/putenv.o scsh/rx/regexp1.o scsh/sleep1.o scsh/syscalls1.o scsh/syslog1.o scsh/time1.o scsh/tty1.o scsh/userinfo1.o scsh/sighandlers1.o scsh/libscsh.o scsh/md5.o scsh/proc2.o c/srfi/srfi-27.o
ranlib cig/libscshvm.a
gcc -o scsh/scsh  -g -Wall -O2 -D_GNU_SOURCE \
	-DVM=\"/usr/lib/scsh-0.6/scshvm\" \
	-DIMAGE=\"/usr/lib/scsh-0.6/scsh.image\" \
	./scsh/scsh-tramp.c
./scsh/scsh-tramp.c:4:1: warning: "/*" within comment
./scsh/scsh-tramp.c:6:1: warning: "/*" within comment
./scsh/scsh-tramp.c:51: warning: return type defaults to 'int'
sed -e 's|@scsh_host@|m32r-unknown-linux-gnu|g' \
            -e 's|@scsh_prefix@|/usr|g' \
            -e 's|@scsh_exec_prefix@|/usr|g' \
            -e 's|@scsh_bindir@|/usr/bin|g' \
            -e 's|@scsh_libdir@|/usr/lib|g' \
            -e 's|@scsh_includedir@|/usr/include/scsh-0.6|g' \
            -e 's|@scsh_mandir@|/usr/share/man/man1|g' \
            -e 's|@scsh_lib_dirs_list@|("/usr/local/lib/scsh-0.6/modules/" "/usr/lib/scsh-0.6/modules/")|g' \
            -e 's|@scsh_LIBS@|-lelf -lcrypt -lnsl -ldl -lm -lc -lutil|g' \
            -e 's|@scsh_DEFS@|-DHAVE_CONFIG_H|g' \
            -e 's|@scsh_CFLAGS@|-g -Wall -O2 -D_GNU_SOURCE|g' \
            -e 's|@scsh_CPPFLAGS@||g' \
            -e 's|@scsh_LDFLAGS@|-rdynamic|g' ./scsh/configure.scm.in > scsh/configure.scm
(echo ",translate =scheme48/ ./scheme/"; \
	 echo ",translate ./scsh/endian.scm `pwd`/scsh/endian.scm"; \
	 echo ",translate ./scsh/configure.scm `pwd`/scsh/configure.scm"; \
	 echo ",batch on"; \
	 echo ",config ,load ./scsh/let-opt.scm ./scsh/scsh-interfaces.scm ./scsh/machine/packages.scm ./scsh/rx/packages.scm ./scsh/scsh-package.scm ./scsh/lib/ccp-pack.scm ./scsh/lib/char-package.scm"; \
	 echo ",open floatnums scsh ccp-lib scsh-top-package scsh-here-string-hax srfi-1 srfi-13 srfi-14 "; \
	 echo ",load-package scheme-with-scsh"; \
	 echo "(dump-scsh \"scsh/scsh.image\")"; \
	 ) \
	| ./scshvm -o ./scshvm -i scsh.image -h 10000000
Welcome to Scheme 48 0.53 (made by buildd on Wed Feb 21 04:41:27 JST 2007).
Copyright (c) 1993-1999 by Richard Kelsey and Jonathan Rees.
Please report bugs to scheme-48-bugs at martigny.ai.mit.edu.
Type ,? (comma question-mark) for help.
> > > > Will exit on errors
./scsh/let-opt.scm
./scsh/scsh-interfaces.scm
./scsh/machine/packages.scm
./scsh/rx/packages.scm
./scsh/scsh-package.scm
./scsh/lib/ccp-pack.scm
./scsh/lib/char-package.scm
[floatnums ./scheme/rts/floatnum.scm
Analyzing... no in-line procedures
]
[defenum-package ./scsh/enumconst.scm]
[placeholders ./scheme/big/placeholder.scm
Analyzing... 
Calls will be compiled in line: (really-make-placeholder placeholder-id placeholder-real-value set-placeholder-value! placeholder-queue set-placeholder-queue!)
]
[bigbit ./scheme/big/bigbit.scm]
[external-calls ./scheme/big/callback.scm ./scheme/big/import-def.scm]
[receiving ./scheme/big/receive.scm]
[defrec-package ./scsh/defrec.scm[error-package]
[((for-syntax #f))]
]
[extended-ports ./scheme/big/more-port.scm]
[formats ./scheme/big/format.scm]
[string-collectors ./scsh/stringcoll.scm]
[error-package]
[let-opt[let-opt-expanders]
[((for-syntax #f))]
]
[list-merge-sort ./scheme/sort/lmsort.scm
Analyzing... no in-line procedures
]
[vector-utils ./scheme/sort/vector-util.scm]
[vector-heap-sort ./scheme/sort/vhsort.scm
Analyzing... no in-line procedures
]
[vector-insertion-sort ./scheme/sort/visort.scm
Analyzing... no in-line procedures
]
[vector-merge-sort ./scheme/sort/vmsort.scm
Analyzing... no in-line procedures
]
[sorted ./scheme/sort/sortp.scm
Analyzing... no in-line procedures
]
[delete-neighbor-duplicates ./scheme/sort/delndups.scm
Analyzing... no in-line procedures
]
[sorting ./scheme/sort/sort.scm
Analyzing... no in-line procedures
]
[sort]
[srfi-1 ./scheme/srfi/srfi-1.scm]
[scsh-utilities ./scsh/utilities.scm]
[srfi-9]
[srfi-14 ./scheme/srfi/srfi-14.scm]
[srfi-8]
[srfi-13 ./scheme/srfi/srfi-13.scm]
[finite-types ./scheme/big/finite-type.scm]
[external-util]
[posix-regexps ./scsh/rx/regexp.scm]
[re-level-0 ./scsh/rx/re-syntax.scm ./scsh/rx/spencer.scm ./scsh/rx/posixstr.scm ./scsh/rx/parse.scm ./scsh/rx/re-high.scm ./scsh/rx/simp.scm ./scsh/rx/re.scm ./scsh/rx/re-low.scm]
[rx-lib ./scsh/rx/rx-lib.scm]
[rx-syntax[((for-syntax #f))]
]
[delimited-readers ./scsh/rdelim.scm]
[linux-defs ./scsh/machine/netconst.scm ./scsh/machine/signals.scm ./scsh/machine/errno.scm ./scsh/machine/fdflags.scm]
[buffered-io-flags ./scsh/machine/bufpol.scm]
[thread-fluids ./scheme/big/thread-fluid.scm]
[weak-tables ./scsh/weaktables.scm]
[scsh-version ./scsh/scsh-version.scm]
[tty-flags ./scsh/machine/tty-consts.scm]
[enum-sets ./scheme/big/enum-set.scm
Analyzing... 
Calls will be compiled in line: (make-enum-set-type enum-set-type-index-ref enum-set-type-values enum-set-type-predicate enum-set-type-id make-enum-set enum-set-mask set-enum-set-mask! enum-set-type)
]
[syslog ./scsh/syslog.scm]
[low-interrupt ./scsh/low-interrupt.scm]
[simple-syntax]
[exit-hooks]
[scsh-endian /build/buildd/scsh-0.6-0.6.7/scsh/endian.scm]
[sigevents ./scsh/event.scm]
[scsh-level-0 ./scsh/scsh.scm ./scsh/sighandlers.scm ./scsh/pty.scm ./scsh/tty.scm ./scsh/flock.scm ./scsh/network.scm ./scsh/machine/time_dep.scm ./scsh/time.scm ./scsh/filemtch.scm ./scsh/glob.scm ./scsh/fileinfo.scm ./scsh/filesys.scm ./scsh/machine/waitcodes.scm ./scsh/procobj.scm ./scsh/fdports.scm ./scsh/newports.scm ./scsh/rw.scm ./scsh/fname.scm ./scsh/syscalls.scm ./scsh/scsh-condition.scm ./scsh/syntax.scm[scsh-syntax-helpers ./scsh/syntax-helpers.scm]
[((for-syntax #f))]
]
[re-subst ./scsh/rx/re-subst.scm]
[re-match-syntax ./scsh/rx/re-match-syntax.scm[((for-syntax #f))]
]
[re-folders ./scsh/rx/re-fold.scm]
[re-exports]
[re-old-funs ./scsh/rx/oldfuns.scm]
[lib-dirs ./scsh/lib-dirs.scm]
[scsh-top-package ./scsh/meta-arg.scm ./scsh/top.scm]
[scsh-startup-package ./scsh/startup.scm]
[awk-expander-package ./scsh/awk.scm]
[awk-package[((for-syntax #f))]
]
[field-reader-package ./scsh/fr.scm]
[char-predicates-lib
Analyzing... 
Calls will be compiled in line: (char-ascii? char-hex-digit? char-symbol? char-punctuation? char-iso-control? char-blank? char-printing? char-graphic? char-letter+digit? char-digit? char-letter? char-whitespace? char-numeric? char-alphabetic? char-upper-case? char-lower-case?)
]
[random ./scheme/big/random.scm]
[dot-locking ./scsh/dot-locking.scm]
[md5 ./scsh/md5.scm]
[configure /build/buildd/scsh-0.6-0.6.7/scsh/configure.scm]
[scsh]
[ccp-lib ./scsh/lib/ccp.scm
Analyzing... no in-line procedures
]
[scsh-here-string-hax ./scsh/here.scm]
[scheme-with-scsh]
Writing scsh/scsh.image
#t

rm -f scsh/libscsh.a								\
	rm -f /tmp/s48_external_$$.c &&					\
	./build/build-external-modules /tmp/s48_external_$$.c		\
		s48_init_additional_inits s48_init_socket s48_init_external_lookup s48_init_syslog s48_init_posix_regexp s48_init_userinfo s48_init_sighandlers s48_init_syscalls s48_init_network s48_init_flock s48_init_dirstuff s48_init_time s48_init_tty s48_init_cig s48_init_libscsh s48_init_md5 s48_init_srfi_27 s48_init_cig &&					\
	gcc -c -g -Wall -O2 -D_GNU_SOURCE -o  /tmp/s48_external_$$.o				\
			/tmp/s48_external_$$.c &&				\
	ar cq scsh/libscsh.a scsh/process_args.o c/init.o c/scheme48vm.o c/scheme48heap.o c/extension.o c/external.o cig/libcig.o cig/libcig1.o scsh/cstuff.o scsh/dirstuff1.o scsh/fdports1.o scsh/flock1.o scsh/machine/time_dep1.o scsh/signals1.o scsh/machine/libansi.o scsh/network1.o scsh/putenv.o scsh/rx/regexp1.o scsh/sleep1.o scsh/syscalls1.o scsh/syslog1.o scsh/time1.o scsh/tty1.o scsh/userinfo1.o scsh/sighandlers1.o scsh/libscsh.o scsh/md5.o scsh/proc2.o c/srfi/srfi-27.o c/unix/misc.o c/unix/io.o c/unix/fd-io.o c/unix/event.o  c/unix/socket.o c/unix/dynamo.o	\
		/tmp/s48_external_$$.o &&					\
	ranlib scsh/libscsh.a &&								\
	rm -f /tmp/s48_external_$$.c /tmp/s48_external_$$.o
gcc -c  -DHAVE_CONFIG_H -g -Wall -O2 -D_GNU_SOURCE -DSTATIC_AREAS -o c/smain.o ./c/main.c
./c/main.c: In function 'main':
./c/main.c:64: warning: unused variable 'vm_argc'
./c/main.c:61: warning: unused variable 'i_sizes'
./c/main.c:61: warning: unused variable 'i_areas'
./c/main.c:61: warning: unused variable 'i_count'
./c/main.c:60: warning: unused variable 'p_sizes'
./c/main.c:60: warning: unused variable 'p_areas'
./c/main.c:60: warning: unused variable 'p_count'
./c/main.c:59: warning: unused variable 'static_exported_binding_table'
./c/main.c:59: warning: unused variable 'static_imported_binding_table'
./c/main.c:58: warning: unused variable 'static_symbol_table'
./c/main.c:57: warning: unused variable 'static_entry'
rm -f scsh/libscshvm.a
ar cq scsh/libscshvm.a c/smain.o scsh/process_args.o c/init.o c/scheme48vm.o c/scheme48heap.o c/extension.o c/external.o cig/libcig.o cig/libcig1.o scsh/cstuff.o scsh/dirstuff1.o scsh/fdports1.o scsh/flock1.o scsh/machine/time_dep1.o scsh/signals1.o scsh/machine/libansi.o scsh/network1.o scsh/putenv.o scsh/rx/regexp1.o scsh/sleep1.o scsh/syscalls1.o scsh/syslog1.o scsh/time1.o scsh/tty1.o scsh/userinfo1.o scsh/sighandlers1.o scsh/libscsh.o scsh/md5.o scsh/proc2.o c/srfi/srfi-27.o
ranlib scsh/libscshvm.a
make[1]: Leaving directory `/build/buildd/scsh-0.6-0.6.7'
#cd emacs; emacs -q -no-site-file -batch -f batch-byte-compile cmuscheme48.el
touch build-stamp
 /usr/bin/fakeroot debian/rules binary-arch
dh_testdir
/usr/bin/make
make[1]: Entering directory `/build/buildd/scsh-0.6-0.6.7'
make[1]: Nothing to be done for `enough'.
make[1]: Leaving directory `/build/buildd/scsh-0.6-0.6.7'
#cd emacs; emacs -q -no-site-file -batch -f batch-byte-compile cmuscheme48.el
touch build-stamp
dh_testdir
dh_testroot
dh_clean -k
dh_installdirs usr/lib/scsh-0.6 usr/lib/scsh-0.6/modules
/usr/bin/make DESTDIR=debian/scsh-0.6 install
make[1]: Entering directory `/build/buildd/scsh-0.6-0.6.7'
for dir in /usr/lib /usr/bin /usr/include/scsh-0.6 /usr/lib/scsh-0.6 /usr/share/scsh-0.6 /usr/share/man/man1; do\
		{ mkdir -p debian/scsh-0.6$dir && [ -w debian/scsh-0.6$dir ]; } || {	\
			echo "debian/scsh-0.6$dir not a writable directory" >&2;	\
			exit 1;						\
	}								\
	done &&								\
	LIBRPATH="`./go -s relative-from-absolute.scm '/usr/share/scsh-0.6' '/usr/lib/scsh-0.6'`" &&	\
	for dir in								\
		rts env big opt misc link srfi scsh; do			\
		{ mkdir -p debian/scsh-0.6/usr/share/scsh-0.6/$dir && [ -w debian/scsh-0.6/usr/share/scsh-0.6/$dir ]; } || {	\
			echo "debian/scsh-0.6/usr/share/scsh-0.6/$dir not a writable directory" >&2; 	\
		exit 1;						  		\
		};								\
		if [ "$dir" !=	"scsh" ]; then				  	\
		  ln -s ${LIBRPATH}/$dir debian/scsh-0.6/usr/lib/scsh-0.6/$dir;		\
		fi;								\
	done &&	{ mkdir -p debian/scsh-0.6/usr/lib/scsh-0.6/scsh   && [ -w debian/scsh-0.6/usr/lib/scsh-0.6/scsh   ]; } ||	\
	        { echo "debian/scsh-0.6/usr/lib/scsh-0.6/scsh not a writable directory" >&2; exit 1; }
script=debian/scsh-0.6/usr/bin/scsh-0.6 &&			\
	echo '#!/bin/sh'	>$script &&				\
	echo			>>$script &&				\
	echo 'lib=/usr/lib/scsh-0.6'	>>$script &&				\
	echo 'exec $lib/scshvm -o $lib/scshvm -i $lib/scsh.image "$@"'	\
				>>$script &&				\
	chmod +x $script
/usr/bin/ginstall -c scshvm debian/scsh-0.6/usr/lib/scsh-0.6
for stub in env big opt misc link srfi; do				\
		for f in ./scheme/$stub/*.scm; do			\
			/usr/bin/ginstall -c -m 644 $f debian/scsh-0.6/usr/share/scsh-0.6/$stub || exit 1;	\
		done;							\
	done &&								\
	for f in ./scheme/rts/*num.scm ./scheme/rts/jar-defrecord.scm; do	\
		/usr/bin/ginstall -c -m 644 $f debian/scsh-0.6/usr/share/scsh-0.6/rts || exit 1;	\
	done
if [ -d debian/scsh-0.6/usr/share/man/man1 -a -w debian/scsh-0.6/usr/share/man/man1 ]; then	   \
		sed 's=LBIN=/usr/bin=g' doc/scsh.man |			   \
			sed 's=LLIB=/usr/lib/scsh-0.6=g' |				   \
                        sed 's=LDOC=/usr/share/doc/scsh-0.6-doc=g' |			   \
			sed 's=LSCSH=scsh-0.6=g' >scsh-0.6.1 &&	   \
		/usr/bin/ginstall -c -m 644 scsh-0.6.1 debian/scsh-0.6/usr/share/man/man1 &&	   \
		rm -f scsh-0.6.1;					   \
	else								   \
		echo "/usr/share/man/man1 not writable dir, not installing man page" \
			>&2;						   \
	fi
/usr/bin/ginstall -c -m 644 ./c/scheme48.h debian/scsh-0.6/usr/include/scsh-0.6	
/usr/bin/ginstall -c -m 644 ./c/write-barrier.h debian/scsh-0.6/usr/include/scsh-0.6
for dir in /usr/share/doc/scsh-0.6-doc; do\
		{ mkdir -p debian/scsh-0.6$dir && [ -w debian/scsh-0.6$dir ]; } || {	\
			echo "debian/scsh-0.6$dir not a writable directory" >&2;	\
			exit 1;						\
	}								\
	done &&								\
	for dir in scsh-manual scsh-manual/html s48-manual s48-manual/html scsh-paper scsh-paper/html;	\
		do \
		{ mkdir -p debian/scsh-0.6/usr/share/doc/scsh-0.6-doc/$dir && [ -w debian/scsh-0.6/usr/share/doc/scsh-0.6-doc/$dir ]; } || {	\
			echo "debian/scsh-0.6/usr/share/doc/scsh-0.6-doc/$dir not a writable directory" >&2; 	\
		exit 1;						  		\
		};							  	\
	done
set -e ; for f in ./doc/*.txt ./doc/*.ps; do \
		/usr/bin/ginstall -c -m 644 $f debian/scsh-0.6//usr/share/doc/scsh-0.6-doc; \
	done
set -e ; for f in ./doc/src/*.tex \
		./doc/src/*.dvi \
		./doc/src/*.ps ; \
		do /usr/bin/ginstall -c -m 644 $f debian/scsh-0.6//usr/share/doc/scsh-0.6-doc/s48-manual ; \
	done
set -e ; for f in ./doc/src/manual/*.html ; \
		do /usr/bin/ginstall -c -m 644 $f debian/scsh-0.6//usr/share/doc/scsh-0.6-doc/s48-manual/html ; \
	done
set -e ; for f in ./doc/scsh-manual/*.tex \
		./doc/scsh-manual/*.sty \
		./doc/scsh-manual/*.dvi \
		./doc/scsh-manual/*.ps \
		./doc/scsh-manual/*.pdf ; \
		do /usr/bin/ginstall -c -m 644 $f debian/scsh-0.6//usr/share/doc/scsh-0.6-doc/scsh-manual; \
	done
set -e ; for f in ./doc/scsh-manual/html/*.html \
		./doc/scsh-manual/html/*.gif \
		./doc/scsh-manual/html/*.css ; \
		do /usr/bin/ginstall -c -m 644 $f debian/scsh-0.6//usr/share/doc/scsh-0.6-doc/scsh-manual/html ; \
	done
set -e ; for f in ./doc/scsh-paper/*.tex \
		./doc/scsh-paper/*.sty \
		./doc/scsh-paper/*.dvi \
		./doc/scsh-paper/*.ps ; \
		do /usr/bin/ginstall -c -m 644 $f debian/scsh-0.6//usr/share/doc/scsh-0.6-doc/scsh-paper ; \
	done
set -e ; for f in ./doc/scsh-paper/html/*.html \
		./doc/scsh-paper/html/*.css ; \
		do /usr/bin/ginstall -c -m 644 $f debian/scsh-0.6//usr/share/doc/scsh-0.6-doc/scsh-paper/html ; \
	done
(	echo ',translate =scheme48 /usr/lib/scsh-0.6';			\
		echo ',in lib-dirs (set-default-lib-dirs! (quote ("/usr/local/lib/scsh-0.6/modules/" "/usr/lib/scsh-0.6/modules/")))'; \
		echo '(dump-scsh "debian/scsh-0.6/usr/lib/scsh-0.6/scsh.image")';	\
		echo ',exit';						\
	) | ./scshvm -i scsh/scsh.image	
Welcome to scsh 0.6.7 (R6RS)
Type ,? for help.
> > > Channel closed in dumped image: standard input
Channel closed in dumped image: standard output
Channel closed in dumped image: standard error
Writing debian/scsh-0.6/usr/lib/scsh-0.6/scsh.image
#t
> (echo ",flush maps source";\
	 echo ",translate =scheme48/ ./scheme/"; \
	 echo ",translate ./scsh/endian.scm `pwd`/scsh/endian.scm"; \
	 echo ",translate ./scsh/configure.scm `pwd`/scsh/configure.scm"; \
	 echo ",batch on"; \
	 echo ",config ,load ./scsh/let-opt.scm ./scsh/scsh-interfaces.scm ./scsh/machine/packages.scm ./scsh/rx/packages.scm ./scsh/scsh-package.scm ./scsh/lib/ccp-pack.scm ./scsh/lib/char-package.scm"; \
	 echo ",open floatnums scsh ccp-lib scsh-top-package scsh-here-string-hax srfi-1 srfi-13 srfi-14 "; \
	 echo ",load-package scheme-with-scsh"; \
	 echo ",flush"; \
	 echo "(dump-scsh \"scsh/stripped-scsh.image\")";) \
	| ./scshvm -o ./scshvm -i scsh.image -h 10000000
Welcome to Scheme 48 0.53 (made by buildd on Wed Feb 21 04:41:27 JST 2007).
Copyright (c) 1993-1999 by Richard Kelsey and Jonathan Rees.
Please report bugs to scheme-48-bugs at martigny.ai.mit.edu.
Type ,? (comma question-mark) for help.
> > > > > Will exit on errors
./scsh/let-opt.scm
./scsh/scsh-interfaces.scm
./scsh/machine/packages.scm
./scsh/rx/packages.scm
./scsh/scsh-package.scm
./scsh/lib/ccp-pack.scm
./scsh/lib/char-package.scm
[floatnums ./scheme/rts/floatnum.scm
Analyzing... no in-line procedures
]
[defenum-package ./scsh/enumconst.scm]
[placeholders ./scheme/big/placeholder.scm
Analyzing... 
Calls will be compiled in line: (really-make-placeholder placeholder-id placeholder-real-value set-placeholder-value! placeholder-queue set-placeholder-queue!)
]
[bigbit ./scheme/big/bigbit.scm]
[external-calls ./scheme/big/callback.scm ./scheme/big/import-def.scm]
[receiving ./scheme/big/receive.scm]
[defrec-package ./scsh/defrec.scm[error-package]
[((for-syntax #f))]
]
[extended-ports ./scheme/big/more-port.scm]
[formats ./scheme/big/format.scm]
[string-collectors ./scsh/stringcoll.scm]
[error-package]
[let-opt[let-opt-expanders]
[((for-syntax #f))]
]
[list-merge-sort ./scheme/sort/lmsort.scm
Analyzing... no in-line procedures
]
[vector-utils ./scheme/sort/vector-util.scm]
[vector-heap-sort ./scheme/sort/vhsort.scm
Analyzing... no in-line procedures
]
[vector-insertion-sort ./scheme/sort/visort.scm
Analyzing... no in-line procedures
]
[vector-merge-sort ./scheme/sort/vmsort.scm
Analyzing... no in-line procedures
]
[sorted ./scheme/sort/sortp.scm
Analyzing... no in-line procedures
]
[delete-neighbor-duplicates ./scheme/sort/delndups.scm
Analyzing... no in-line procedures
]
[sorting ./scheme/sort/sort.scm
Analyzing... no in-line procedures
]
[sort]
[srfi-1 ./scheme/srfi/srfi-1.scm]
[scsh-utilities ./scsh/utilities.scm]
[srfi-9]
[srfi-14 ./scheme/srfi/srfi-14.scm]
[srfi-8]
[srfi-13 ./scheme/srfi/srfi-13.scm]
[finite-types ./scheme/big/finite-type.scm]
[external-util]
[posix-regexps ./scsh/rx/regexp.scm]
[re-level-0 ./scsh/rx/re-syntax.scm ./scsh/rx/spencer.scm ./scsh/rx/posixstr.scm ./scsh/rx/parse.scm ./scsh/rx/re-high.scm ./scsh/rx/simp.scm ./scsh/rx/re.scm ./scsh/rx/re-low.scm]
[rx-lib ./scsh/rx/rx-lib.scm]
[rx-syntax[((for-syntax #f))]
]
[delimited-readers ./scsh/rdelim.scm]
[linux-defs ./scsh/machine/netconst.scm ./scsh/machine/signals.scm ./scsh/machine/errno.scm ./scsh/machine/fdflags.scm]
[buffered-io-flags ./scsh/machine/bufpol.scm]
[thread-fluids ./scheme/big/thread-fluid.scm]
[weak-tables ./scsh/weaktables.scm]
[scsh-version ./scsh/scsh-version.scm]
[tty-flags ./scsh/machine/tty-consts.scm]
[enum-sets ./scheme/big/enum-set.scm
Analyzing... 
Calls will be compiled in line: (make-enum-set-type enum-set-type-index-ref enum-set-type-values enum-set-type-predicate enum-set-type-id make-enum-set enum-set-mask set-enum-set-mask! enum-set-type)
]
[syslog ./scsh/syslog.scm]
[low-interrupt ./scsh/low-interrupt.scm]
[simple-syntax]
[exit-hooks]
[scsh-endian /build/buildd/scsh-0.6-0.6.7/scsh/endian.scm]
[sigevents ./scsh/event.scm]
[scsh-level-0 ./scsh/scsh.scm ./scsh/sighandlers.scm ./scsh/pty.scm ./scsh/tty.scm ./scsh/flock.scm ./scsh/network.scm ./scsh/machine/time_dep.scm ./scsh/time.scm ./scsh/filemtch.scm ./scsh/glob.scm ./scsh/fileinfo.scm ./scsh/filesys.scm ./scsh/machine/waitcodes.scm ./scsh/procobj.scm ./scsh/fdports.scm ./scsh/newports.scm ./scsh/rw.scm ./scsh/fname.scm ./scsh/syscalls.scm ./scsh/scsh-condition.scm ./scsh/syntax.scm[scsh-syntax-helpers ./scsh/syntax-helpers.scm]
[((for-syntax #f))]
]
[re-subst ./scsh/rx/re-subst.scm]
[re-match-syntax ./scsh/rx/re-match-syntax.scm[((for-syntax #f))]
]
[re-folders ./scsh/rx/re-fold.scm]
[re-exports]
[re-old-funs ./scsh/rx/oldfuns.scm]
[lib-dirs ./scsh/lib-dirs.scm]
[scsh-top-package ./scsh/meta-arg.scm ./scsh/top.scm]
[scsh-startup-package ./scsh/startup.scm]
[awk-expander-package ./scsh/awk.scm]
[awk-package[((for-syntax #f))]
]
[field-reader-package ./scsh/fr.scm]
[char-predicates-lib
Analyzing... 
Calls will be compiled in line: (char-ascii? char-hex-digit? char-symbol? char-punctuation? char-iso-control? char-blank? char-printing? char-graphic? char-letter+digit? char-digit? char-letter? char-whitespace? char-numeric? char-alphabetic? char-upper-case? char-lower-case?)
]
[random ./scheme/big/random.scm]
[dot-locking ./scsh/dot-locking.scm]
[md5 ./scsh/md5.scm]
[configure /build/buildd/scsh-0.6-0.6.7/scsh/configure.scm]
[scsh]
[ccp-lib ./scsh/lib/ccp.scm
Analyzing... no in-line procedures
]
[scsh-here-string-hax ./scsh/here.scm]
[scheme-with-scsh]
Flushing location names and tabulated debug info
Writing scsh/stripped-scsh.image
#t

(	echo ',translate =scheme48 /usr/lib/scsh-0.6';			\
		echo ',in lib-dirs (set-default-lib-dirs! (quote ("/usr/local/lib/scsh-0.6/modules/" "/usr/lib/scsh-0.6/modules/")))'; \
		echo '(dump-scsh "debian/scsh-0.6/usr/lib/scsh-0.6/stripped-scsh.image")';	\
		echo ',exit';						\
	) | ./scshvm -i scsh/stripped-scsh.image
Welcome to scsh 0.6.7 (R6RS)
Type ,? for help.
> > > Channel closed in dumped image: standard input
Channel closed in dumped image: standard output
Channel closed in dumped image: standard error
Writing debian/scsh-0.6/usr/lib/scsh-0.6/stripped-scsh.image
#t
> rm -f debian/scsh-0.6/usr/bin/scsh-0.6
/usr/bin/ginstall -c scsh/scsh debian/scsh-0.6/usr/bin/scsh-0.6
/usr/bin/ginstall -c scsh/libscshvm.a debian/scsh-0.6/usr/lib/scsh-0.6/libscshvm.a
/usr/bin/ginstall -c scsh/libscsh.a debian/scsh-0.6/usr/lib/scsh-0.6/libscsh.a
ranlib debian/scsh-0.6/usr/lib/scsh-0.6/libscsh.a
set -e;	LIBRPATH="`./go -s relative-from-absolute.scm '/usr/share/scsh-0.6'/scsh '/usr/lib/scsh-0.6'/scsh`"; \
	for f in ./scsh/*.scm ./scsh/lib/*.scm ./scsh/test/*.scm; \
	    do /usr/bin/ginstall -c -m 644 $f debian/scsh-0.6/usr/share/scsh-0.6/scsh/; \
	    ln -s ${LIBRPATH}/"`basename $f`" debian/scsh-0.6/usr/lib/scsh-0.6/scsh/; \
	done; \
	for f in ./scsh/machine/*.scm; \
	    do /usr/bin/ginstall -c -m 644 $f debian/scsh-0.6/usr/lib/scsh-0.6/scsh/; done; \
	/usr/bin/ginstall -c ./scsh/ekko.scm debian/scsh-0.6/usr/share/scsh-0.6/scsh/
make[1]: Leaving directory `/build/buildd/scsh-0.6-0.6.7'
/usr/bin/make DESTDIR=debian/scsh-0.6-doc inst-doc
make[1]: Entering directory `/build/buildd/scsh-0.6-0.6.7'
for dir in /usr/share/doc/scsh-0.6-doc; do\
		{ mkdir -p debian/scsh-0.6-doc$dir && [ -w debian/scsh-0.6-doc$dir ]; } || {	\
			echo "debian/scsh-0.6-doc$dir not a writable directory" >&2;	\
			exit 1;						\
	}								\
	done &&								\
	for dir in scsh-manual scsh-manual/html s48-manual s48-manual/html scsh-paper scsh-paper/html;	\
		do \
		{ mkdir -p debian/scsh-0.6-doc/usr/share/doc/scsh-0.6-doc/$dir && [ -w debian/scsh-0.6-doc/usr/share/doc/scsh-0.6-doc/$dir ]; } || {	\
			echo "debian/scsh-0.6-doc/usr/share/doc/scsh-0.6-doc/$dir not a writable directory" >&2; 	\
		exit 1;						  		\
		};							  	\
	done
set -e ; for f in ./doc/*.txt ./doc/*.ps; do \
		/usr/bin/ginstall -c -m 644 $f debian/scsh-0.6-doc//usr/share/doc/scsh-0.6-doc; \
	done
set -e ; for f in ./doc/src/*.tex \
		./doc/src/*.dvi \
		./doc/src/*.ps ; \
		do /usr/bin/ginstall -c -m 644 $f debian/scsh-0.6-doc//usr/share/doc/scsh-0.6-doc/s48-manual ; \
	done
set -e ; for f in ./doc/src/manual/*.html ; \
		do /usr/bin/ginstall -c -m 644 $f debian/scsh-0.6-doc//usr/share/doc/scsh-0.6-doc/s48-manual/html ; \
	done
set -e ; for f in ./doc/scsh-manual/*.tex \
		./doc/scsh-manual/*.sty \
		./doc/scsh-manual/*.dvi \
		./doc/scsh-manual/*.ps \
		./doc/scsh-manual/*.pdf ; \
		do /usr/bin/ginstall -c -m 644 $f debian/scsh-0.6-doc//usr/share/doc/scsh-0.6-doc/scsh-manual; \
	done
set -e ; for f in ./doc/scsh-manual/html/*.html \
		./doc/scsh-manual/html/*.gif \
		./doc/scsh-manual/html/*.css ; \
		do /usr/bin/ginstall -c -m 644 $f debian/scsh-0.6-doc//usr/share/doc/scsh-0.6-doc/scsh-manual/html ; \
	done
set -e ; for f in ./doc/scsh-paper/*.tex \
		./doc/scsh-paper/*.sty \
		./doc/scsh-paper/*.dvi \
		./doc/scsh-paper/*.ps ; \
		do /usr/bin/ginstall -c -m 644 $f debian/scsh-0.6-doc//usr/share/doc/scsh-0.6-doc/scsh-paper ; \
	done
set -e ; for f in ./doc/scsh-paper/html/*.html \
		./doc/scsh-paper/html/*.css ; \
		do /usr/bin/ginstall -c -m 644 $f debian/scsh-0.6-doc//usr/share/doc/scsh-0.6-doc/scsh-paper/html ; \
	done
make[1]: Leaving directory `/build/buildd/scsh-0.6-0.6.7'
# Remove documentation, it is in scsh-doc package
rm -rf debian/scsh-0.6/usr/share/doc/scsh-0.6-doc/
# Move architecture-independant packages in place
mv debian/scsh-0.6/usr/share/scsh-0.6 debian/scsh-common-0.6/usr/share/
# Remove documentation sources
find debian/scsh-0.6-doc/usr/share/doc/scsh-0.6-doc '(' -name '*.tex' -or -name '*.sty' ')' -print0 | xargs --null rm
gzip -9r debian/scsh-0.6/usr/share/man/man1
rm -rf debian/scsh-0.6/usr/lib/scsh.old
install -m 644 debian/50scsh.el debian/scsh-common-0.6/etc/emacs/site-start.d
install -m 644 emacs/cmuscheme48.el* debian/scsh-common-0.6/usr/share/emacs/site-lisp
touch install-stamp
dh_testdir -a
dh_testroot -a
dh_installdocs -a
dh_link -a
dh_installchangelogs -a
dh_strip -a
dh_compress -a
dh_fixperms -a
dh_installdeb -a
dh_shlibdeps -a
dh_gencontrol -a
dh_makeshlibs -a
dh_md5sums -a
dh_builddeb -a
dpkg-deb: building package `scsh-0.6' in `../scsh-0.6_0.6.7-3_m32r.deb'.
 dpkg-genchanges -B
dpkg-genchanges: arch-specific upload - not including arch-independent packages
dpkg-genchanges: binary-only upload - not including any source code
dpkg-buildpackage: binary only upload (no source included)
******************************************************************************
Build finished at 20070221-0527

chroot-unstable/build/buildd/scsh-0.6_0.6.7-3_m32r.deb:
 new debian package, version 2.0.
 size 3182360 bytes: control archive= 2992 bytes.
    1647 bytes,    34 lines      control              
    1463 bytes,    22 lines      md5sums              
    2274 bytes,    68 lines   *  postinst             #!/bin/sh
    2211 bytes,    70 lines   *  postrm               #!/bin/sh
 Package: scsh-0.6
 Version: 0.6.7-3
 Section: interpreters
 Priority: optional
 Architecture: m32r
 Depends: libc6 (>= 2.3.5-1), libelfg0 (>= 0.8.5), scsh-common-0.6 (= 0.6.7-3)
 Suggests: scsh-0.6-doc
 Conflicts: scsh (<= 0.6.6-3)
 Replaces: scsh (<= 0.6.6-3)
 Installed-Size: 8092
 Maintainer: Scheme48 Maintainers Task Force <pkg-scheme48-maintainers at lists.alioth.debian.org>
 Description: A `scheme' interpreter designed for writing system programs
  Scsh has a high-level process notation for doing shell-script like
  tasks: running programs, establishing pipelines and I/O redirection.
  Scsh embeds this process notation within a full implementation of
  Scheme, a minimal and clean dialect of the Lisp programming language.
  The process notation is realized as a set of macro definitions, and
  is carefully designed to allow full integration with standard Scheme
  code. Scsh isn't Scheme-like; it is Scheme.
  .
  At the scripting level, scsh also has an Awk design, also implemented
  as a macro that can be embedded inside general Scheme code.
  .
  Scsh additionally provides the low-level access to the operating
  system normally associated with C. The current release provides full
  access to POSIX, plus important non-POSIX extensions, such as
  complete sockets support. "Full access to POSIX" means: fork, exec &
  wait, sockets, full read, write, open & close, seek & tell, complete
  file-system access, including stat, chmod/chgrp/chown, symlink, FIFO
  & directory access, tty & pty support, file locking, pipes, select,
  file-name pattern-matching, time & date, environment variables,
  signal handlers, and more.
  .
   Homepage: http://www.scsh.net/

chroot-unstable/build/buildd/scsh-0.6_0.6.7-3_m32r.deb:
drwxr-xr-x root/root         0 2007-02-21 05:10 ./
drwxr-xr-x root/root         0 2007-02-21 04:54 ./usr/
drwxr-xr-x root/root         0 2007-02-21 04:54 ./usr/include/
drwxr-xr-x root/root         0 2007-02-21 04:56 ./usr/include/scsh-0.6/
-rw-r--r-- root/root     25246 2007-02-21 04:56 ./usr/include/scsh-0.6/scheme48.h
-rw-r--r-- root/root        59 2007-02-21 04:56 ./usr/include/scsh-0.6/write-barrier.h
drwxr-xr-x root/root         0 2007-02-21 05:09 ./usr/bin/
-rwxr-xr-x root/root      3036 2007-02-21 05:09 ./usr/bin/scsh-0.6
drwxr-xr-x root/root         0 2007-02-21 05:07 ./usr/share/
drwxr-xr-x root/root         0 2007-02-21 05:08 ./usr/share/doc/
drwxr-xr-x root/root         0 2007-02-21 05:10 ./usr/share/doc/scsh-0.6/
-rw-r--r-- root/root      8064 2006-04-05 17:06 ./usr/share/doc/scsh-0.6/RELEASE.gz
-rw-r--r-- root/root      7459 2007-02-21 04:17 ./usr/share/doc/scsh-0.6/copyright
-rw-r--r-- root/root       512 2005-02-07 19:08 ./usr/share/doc/scsh-0.6/README
-rw-r--r-- root/root      3818 2007-02-21 04:17 ./usr/share/doc/scsh-0.6/changelog.Debian.gz
drwxr-xr-x root/root         0 2007-02-21 04:54 ./usr/share/man/
drwxr-xr-x root/root         0 2007-02-21 05:07 ./usr/share/man/man1/
-rw-r--r-- root/root       983 2007-02-21 04:56 ./usr/share/man/man1/scsh-0.6.1.gz
drwxr-xr-x root/root         0 2007-02-21 04:52 ./usr/lib/
drwxr-xr-x root/root         0 2007-02-21 05:09 ./usr/lib/scsh-0.6/
drwxr-xr-x root/root         0 2007-02-21 04:52 ./usr/lib/scsh-0.6/modules/
-rw-r--r-- root/root   4778371 2007-02-21 04:59 ./usr/lib/scsh-0.6/scsh.image
drwxr-xr-x root/root         0 2007-02-21 05:08 ./usr/lib/scsh-0.6/scsh/
-rw-r--r-- root/root       217 2007-02-21 05:06 ./usr/lib/scsh-0.6/scsh/time_dep.scm
-rw-r--r-- root/root      4834 2007-02-21 05:06 ./usr/lib/scsh-0.6/scsh/netconst.scm
-rw-r--r-- root/root      7997 2007-02-21 05:06 ./usr/lib/scsh-0.6/scsh/tty-consts.scm
-rw-r--r-- root/root      2821 2007-02-21 05:06 ./usr/lib/scsh-0.6/scsh/packages.scm
-rw-r--r-- root/root      1346 2007-02-21 05:06 ./usr/lib/scsh-0.6/scsh/waitcodes.scm
-rw-r--r-- root/root       507 2007-02-21 05:06 ./usr/lib/scsh-0.6/scsh/bufpol.scm
-rw-r--r-- root/root      1628 2007-02-21 05:06 ./usr/lib/scsh-0.6/scsh/fdflags.scm
-rw-r--r-- root/root       721 2007-02-21 05:06 ./usr/lib/scsh-0.6/scsh/signals.scm
-rw-r--r-- root/root      5406 2007-02-21 05:06 ./usr/lib/scsh-0.6/scsh/errno.scm
-rw-r--r-- root/root   2591931 2007-02-21 05:04 ./usr/lib/scsh-0.6/stripped-scsh.image
-rwxr-xr-x root/root    163900 2007-02-21 05:09 ./usr/lib/scsh-0.6/scshvm
-rw-r--r-- root/root    246520 2007-02-21 05:09 ./usr/lib/scsh-0.6/libscshvm.a
-rw-r--r-- root/root    273902 2007-02-21 05:09 ./usr/lib/scsh-0.6/libscsh.a
lrwxrwxrwx root/root         0 2007-02-21 05:08 ./usr/share/doc/scsh-0.6/examples -> ../scsh-0.6-doc/examples
lrwxrwxrwx root/root         0 2007-02-21 05:08 ./usr/lib/scsh-0.6/big -> ../../share/scsh-0.6/big
lrwxrwxrwx root/root         0 2007-02-21 05:08 ./usr/lib/scsh-0.6/env -> ../../share/scsh-0.6/env
lrwxrwxrwx root/root         0 2007-02-21 05:08 ./usr/lib/scsh-0.6/scsh/defrec.scm -> ../../../share/scsh-0.6/scsh/defrec.scm
lrwxrwxrwx root/root         0 2007-02-21 05:08 ./usr/lib/scsh-0.6/scsh/ndbm.scm -> ../../../share/scsh-0.6/scsh/ndbm.scm
lrwxrwxrwx root/root         0 2007-02-21 05:08 ./usr/lib/scsh-0.6/scsh/file-system-tests.scm -> ../../../share/scsh-0.6/scsh/file-system-tests.scm
lrwxrwxrwx root/root         0 2007-02-21 05:08 ./usr/lib/scsh-0.6/scsh/scsh-version.scm -> ../../../share/scsh-0.6/scsh/scsh-version.scm
lrwxrwxrwx root/root         0 2007-02-21 05:08 ./usr/lib/scsh-0.6/scsh/utilities.scm -> ../../../share/scsh-0.6/scsh/utilities.scm
lrwxrwxrwx root/root         0 2007-02-21 05:08 ./usr/lib/scsh-0.6/scsh/enumconst.scm -> ../../../share/scsh-0.6/scsh/enumconst.scm
lrwxrwxrwx root/root         0 2007-02-21 05:08 ./usr/lib/scsh-0.6/scsh/here.scm -> ../../../share/scsh-0.6/scsh/here.scm
lrwxrwxrwx root/root         0 2007-02-21 05:08 ./usr/lib/scsh-0.6/scsh/test-base.scm -> ../../../share/scsh-0.6/scsh/test-base.scm
lrwxrwxrwx root/root         0 2007-02-21 05:08 ./usr/lib/scsh-0.6/scsh/dbm.scm -> ../../../share/scsh-0.6/scsh/dbm.scm
lrwxrwxrwx root/root         0 2007-02-21 05:08 ./usr/lib/scsh-0.6/scsh/let-opt.scm -> ../../../share/scsh-0.6/scsh/let-opt.scm
lrwxrwxrwx root/root         0 2007-02-21 05:08 ./usr/lib/scsh-0.6/scsh/weaktables.scm -> ../../../share/scsh-0.6/scsh/weaktables.scm
lrwxrwxrwx root/root         0 2007-02-21 05:08 ./usr/lib/scsh-0.6/scsh/syntax.scm -> ../../../share/scsh-0.6/scsh/syntax.scm
lrwxrwxrwx root/root         0 2007-02-21 05:08 ./usr/lib/scsh-0.6/scsh/glob.scm -> ../../../share/scsh-0.6/scsh/glob.scm
lrwxrwxrwx root/root         0 2007-02-21 05:08 ./usr/lib/scsh-0.6/scsh/lib-dirs.scm -> ../../../share/scsh-0.6/scsh/lib-dirs.scm
lrwxrwxrwx root/root         0 2007-02-21 05:08 ./usr/lib/scsh-0.6/scsh/md5.scm -> ../../../share/scsh-0.6/scsh/md5.scm
lrwxrwxrwx root/root         0 2007-02-21 05:08 ./usr/lib/scsh-0.6/scsh/rw.scm -> ../../../share/scsh-0.6/scsh/rw.scm
lrwxrwxrwx root/root         0 2007-02-21 05:08 ./usr/lib/scsh-0.6/scsh/env-test-add.scm -> ../../../share/scsh-0.6/scsh/env-test-add.scm
lrwxrwxrwx root/root         0 2007-02-21 05:08 ./usr/lib/scsh-0.6/scsh/scsh-condition.scm -> ../../../share/scsh-0.6/scsh/scsh-condition.scm
lrwxrwxrwx root/root         0 2007-02-21 05:08 ./usr/lib/scsh-0.6/scsh/dot-locking.scm -> ../../../share/scsh-0.6/scsh/dot-locking.scm
lrwxrwxrwx root/root         0 2007-02-21 05:08 ./usr/lib/scsh-0.6/scsh/filemtch.scm -> ../../../share/scsh-0.6/scsh/filemtch.scm
lrwxrwxrwx root/root         0 2007-02-21 05:08 ./usr/lib/scsh-0.6/scsh/file-name-manipulation-test.scm -> ../../../share/scsh-0.6/scsh/file-name-manipulation-test.scm
lrwxrwxrwx root/root         0 2007-02-21 05:08 ./usr/lib/scsh-0.6/scsh/libscsh.scm -> ../../../share/scsh-0.6/scsh/libscsh.scm
lrwxrwxrwx root/root         0 2007-02-21 05:08 ./usr/lib/scsh-0.6/scsh/low-interrupt.scm -> ../../../share/scsh-0.6/scsh/low-interrupt.scm
lrwxrwxrwx root/root         0 2007-02-21 05:08 ./usr/lib/scsh-0.6/scsh/tty.scm -> ../../../share/scsh-0.6/scsh/tty.scm
lrwxrwxrwx root/root         0 2007-02-21 05:08 ./usr/lib/scsh-0.6/scsh/event.scm -> ../../../share/scsh-0.6/scsh/event.scm
lrwxrwxrwx root/root         0 2007-02-21 05:08 ./usr/lib/scsh-0.6/scsh/newports.scm -> ../../../share/scsh-0.6/scsh/newports.scm
lrwxrwxrwx root/root         0 2007-02-21 05:08 ./usr/lib/scsh-0.6/scsh/scsh-interfaces.scm -> ../../../share/scsh-0.6/scsh/scsh-interfaces.scm
lrwxrwxrwx root/root         0 2007-02-21 05:08 ./usr/lib/scsh-0.6/scsh/syntax-helpers.scm -> ../../../share/scsh-0.6/scsh/syntax-helpers.scm
lrwxrwxrwx root/root         0 2007-02-21 05:08 ./usr/lib/scsh-0.6/scsh/filesys.scm -> ../../../share/scsh-0.6/scsh/filesys.scm
lrwxrwxrwx root/root         0 2007-02-21 05:08 ./usr/lib/scsh-0.6/scsh/fdports.scm -> ../../../share/scsh-0.6/scsh/fdports.scm
lrwxrwxrwx root/root         0 2007-02-21 05:08 ./usr/lib/scsh-0.6/scsh/env-test-code.scm -> ../../../share/scsh-0.6/scsh/env-test-code.scm
lrwxrwxrwx root/root         0 2007-02-21 05:08 ./usr/lib/scsh-0.6/scsh/threads.scm -> ../../../share/scsh-0.6/scsh/threads.scm
lrwxrwxrwx root/root         0 2007-02-21 05:08 ./usr/lib/scsh-0.6/scsh/ekko.scm -> ../../../share/scsh-0.6/scsh/ekko.scm
lrwxrwxrwx root/root         0 2007-02-21 05:08 ./usr/lib/scsh-0.6/scsh/awk-test.scm -> ../../../share/scsh-0.6/scsh/awk-test.scm
lrwxrwxrwx root/root         0 2007-02-21 05:08 ./usr/lib/scsh-0.6/scsh/fr.scm -> ../../../share/scsh-0.6/scsh/fr.scm
lrwxrwxrwx root/root         0 2007-02-21 05:08 ./usr/lib/scsh-0.6/scsh/flock.scm -> ../../../share/scsh-0.6/scsh/flock.scm
lrwxrwxrwx root/root         0 2007-02-21 05:08 ./usr/lib/scsh-0.6/scsh/fileinfo.scm -> ../../../share/scsh-0.6/scsh/fileinfo.scm
lrwxrwxrwx root/root         0 2007-02-21 05:08 ./usr/lib/scsh-0.6/scsh/awk.scm -> ../../../share/scsh-0.6/scsh/awk.scm
lrwxrwxrwx root/root         0 2007-02-21 05:08 ./usr/lib/scsh-0.6/scsh/time.scm -> ../../../share/scsh-0.6/scsh/time.scm
lrwxrwxrwx root/root         0 2007-02-21 05:08 ./usr/lib/scsh-0.6/scsh/rdelim.scm -> ../../../share/scsh-0.6/scsh/rdelim.scm
lrwxrwxrwx root/root         0 2007-02-21 05:08 ./usr/lib/scsh-0.6/scsh/scsh-read.scm -> ../../../share/scsh-0.6/scsh/scsh-read.scm
lrwxrwxrwx root/root         0 2007-02-21 05:08 ./usr/lib/scsh-0.6/scsh/top.scm -> ../../../share/scsh-0.6/scsh/top.scm
lrwxrwxrwx root/root         0 2007-02-21 05:08 ./usr/lib/scsh-0.6/scsh/pattern-matching-test.scm -> ../../../share/scsh-0.6/scsh/pattern-matching-test.scm
lrwxrwxrwx root/root         0 2007-02-21 05:08 ./usr/lib/scsh-0.6/scsh/syscalls.scm -> ../../../share/scsh-0.6/scsh/syscalls.scm
lrwxrwxrwx root/root         0 2007-02-21 05:08 ./usr/lib/scsh-0.6/scsh/sighandlers.scm -> ../../../share/scsh-0.6/scsh/sighandlers.scm
lrwxrwxrwx root/root         0 2007-02-21 05:08 ./usr/lib/scsh-0.6/scsh/syslog.scm -> ../../../share/scsh-0.6/scsh/syslog.scm
lrwxrwxrwx root/root         0 2007-02-21 05:08 ./usr/lib/scsh-0.6/scsh/endian.scm -> ../../../share/scsh-0.6/scsh/endian.scm
lrwxrwxrwx root/root         0 2007-02-21 05:08 ./usr/lib/scsh-0.6/scsh/procobj.scm -> ../../../share/scsh-0.6/scsh/procobj.scm
lrwxrwxrwx root/root         0 2007-02-21 05:08 ./usr/lib/scsh-0.6/scsh/read-delimited-strings.scm -> ../../../share/scsh-0.6/scsh/read-delimited-strings.scm
lrwxrwxrwx root/root         0 2007-02-21 05:08 ./usr/lib/scsh-0.6/scsh/ccp.scm -> ../../../share/scsh-0.6/scsh/ccp.scm
lrwxrwxrwx root/root         0 2007-02-21 05:08 ./usr/lib/scsh-0.6/scsh/ccp-pack.scm -> ../../../share/scsh-0.6/scsh/ccp-pack.scm
lrwxrwxrwx root/root         0 2007-02-21 05:08 ./usr/lib/scsh-0.6/scsh/pty.scm -> ../../../share/scsh-0.6/scsh/pty.scm
lrwxrwxrwx root/root         0 2007-02-21 05:08 ./usr/lib/scsh-0.6/scsh/startup.scm -> ../../../share/scsh-0.6/scsh/startup.scm
lrwxrwxrwx root/root         0 2007-02-21 05:08 ./usr/lib/scsh-0.6/scsh/db.scm -> ../../../share/scsh-0.6/scsh/db.scm
lrwxrwxrwx root/root         0 2007-02-21 05:08 ./usr/lib/scsh-0.6/scsh/char-package.scm -> ../../../share/scsh-0.6/scsh/char-package.scm
lrwxrwxrwx root/root         0 2007-02-21 05:08 ./usr/lib/scsh-0.6/scsh/time-procedure-calls.scm -> ../../../share/scsh-0.6/scsh/time-procedure-calls.scm
lrwxrwxrwx root/root         0 2007-02-21 05:08 ./usr/lib/scsh-0.6/scsh/bug-report-tests.scm -> ../../../share/scsh-0.6/scsh/bug-report-tests.scm
lrwxrwxrwx root/root         0 2007-02-21 05:08 ./usr/lib/scsh-0.6/scsh/strings-and-chars-test.scm -> ../../../share/scsh-0.6/scsh/strings-and-chars-test.scm
lrwxrwxrwx root/root         0 2007-02-21 05:08 ./usr/lib/scsh-0.6/scsh/test-packages.scm -> ../../../share/scsh-0.6/scsh/test-packages.scm
lrwxrwxrwx root/root         0 2007-02-21 05:08 ./usr/lib/scsh-0.6/scsh/bitwise-ops-test.scm -> ../../../share/scsh-0.6/scsh/bitwise-ops-test.scm
lrwxrwxrwx root/root         0 2007-02-21 05:08 ./usr/lib/scsh-0.6/scsh/process-state-tests.scm -> ../../../share/scsh-0.6/scsh/process-state-tests.scm
lrwxrwxrwx root/root         0 2007-02-21 05:08 ./usr/lib/scsh-0.6/scsh/configure.scm -> ../../../share/scsh-0.6/scsh/configure.scm
lrwxrwxrwx root/root         0 2007-02-21 05:08 ./usr/lib/scsh-0.6/scsh/user-and-group-db-access.scm -> ../../../share/scsh-0.6/scsh/user-and-group-db-access.scm
lrwxrwxrwx root/root         0 2007-02-21 05:08 ./usr/lib/scsh-0.6/scsh/network.scm -> ../../../share/scsh-0.6/scsh/network.scm
lrwxrwxrwx root/root         0 2007-02-21 05:08 ./usr/lib/scsh-0.6/scsh/stringcoll.scm -> ../../../share/scsh-0.6/scsh/stringcoll.scm
lrwxrwxrwx root/root         0 2007-02-21 05:08 ./usr/lib/scsh-0.6/scsh/scsh-package.scm -> ../../../share/scsh-0.6/scsh/scsh-package.scm
lrwxrwxrwx root/root         0 2007-02-21 05:08 ./usr/lib/scsh-0.6/scsh/terminal-device-control-test.scm -> ../../../share/scsh-0.6/scsh/terminal-device-control-test.scm
lrwxrwxrwx root/root         0 2007-02-21 05:08 ./usr/lib/scsh-0.6/scsh/scsh.scm -> ../../../share/scsh-0.6/scsh/scsh.scm
lrwxrwxrwx root/root         0 2007-02-21 05:08 ./usr/lib/scsh-0.6/scsh/meta-arg.scm -> ../../../share/scsh-0.6/scsh/meta-arg.scm
lrwxrwxrwx root/root         0 2007-02-21 05:08 ./usr/lib/scsh-0.6/scsh/fname.scm -> ../../../share/scsh-0.6/scsh/fname.scm
lrwxrwxrwx root/root         0 2007-02-21 05:08 ./usr/lib/scsh-0.6/rts -> ../../share/scsh-0.6/rts
lrwxrwxrwx root/root         0 2007-02-21 05:08 ./usr/lib/scsh-0.6/srfi -> ../../share/scsh-0.6/srfi
lrwxrwxrwx root/root         0 2007-02-21 05:08 ./usr/lib/scsh-0.6/opt -> ../../share/scsh-0.6/opt
lrwxrwxrwx root/root         0 2007-02-21 05:08 ./usr/lib/scsh-0.6/misc -> ../../share/scsh-0.6/misc
lrwxrwxrwx root/root         0 2007-02-21 05:08 ./usr/lib/scsh-0.6/link -> ../../share/scsh-0.6/link

scsh-0.6_0.6.7-3_m32r.changes:
Format: 1.7
Date: Thu, 12 Oct 2006 14:26:04 +0200
Source: scsh-0.6
Binary: scsh-common-0.6 scsh-0.6 scsh-0.6-doc
Architecture: m32r
Version: 0.6.7-3
Distribution: unstable
Urgency: low
Maintainer: Scheme48 Maintainers Task Force <pkg-scheme48-maintainers at lists.alioth.debian.org>
Changed-By: Lionel Elie Mamane <lmamane at debian.org>
Description: 
 scsh-0.6   - A `scheme' interpreter designed for writing system programs
Changes: 
 scsh-0.6 (0.6.7-3) unstable; urgency=low
 .
   * Be binNMU-safe in dependency to -common
   * Never regenerate debian/control automatically
Files: 
 3409bf97478be8f05b2353e5fe39ca8e 3182360 interpreters optional scsh-0.6_0.6.7-3_m32r.deb

******************************************************************************
Built successfully
Purging chroot-unstable/build/buildd/scsh-0.6-0.6.7
------------------------------------------------------------------------------
  /usr/bin/sudo /usr/bin/apt-get --purge $CHROOT_OPTIONS -q -y install apache2-common* libmysqlclient12-dev*
Reading package lists...
Building dependency tree...
Note, selecting apache2-common for regex 'apache2-common*'
Note, selecting libmysqlclient12-dev for regex 'libmysqlclient12-dev*'
0 upgraded, 0 newly installed, 0 to remove and 8 not upgraded.
  /usr/bin/sudo dpkg --root=/debian/buildd/build/chroot-unstable --purge libelfg0-dev libelfg0
(Reading database ... 63191 files and directories currently installed.)
Removing libelfg0-dev ...
Removing libelfg0 ...
Purging configuration files for libelfg0 ...
******************************************************************************
Finished at 20070221-0529
Build needed 01:13:04, 50236k disk space




More information about the build-status mailing list